jQuery(document).ready(function($) {
	
	$('a.fetp-title.one').live("click", function() {
		
		$('.tab-two, .tab-three').slideUp();
		$('.tab-one').slideToggle();
		$('a.one .fetp-arrow').toggleClass('toggle');
		$('a.two .fetp-arrow, a.three .fetp-arrow').removeClass('toggle');
		$(this).toggleClass('current');
		$('a.two, a.three').removeClass('current');
		return false;
	});
	
	$('a.fetp-title.two').live("click", function() {
		
		$('.tab-one, .tab-three').slideUp();
		$('.tab-two').slideToggle();
		$('a.two .fetp-arrow').toggleClass('toggle');
		$('a.one .fetp-arrow, a.three .fetp-arrow').removeClass('toggle');
		$(this).toggleClass('current');
		$('a.one, a.three').removeClass('current');
		return false;
	});
	
	
	$('a.fetp-title.three').live("click", function() {
		
		$('.tab-one, .tab-two').slideUp();
		$('.tab-three').slideToggle();
		$('a.three .fetp-arrow').toggleClass('toggle');
		$('a.two .fetp-arrow, a.one .fetp-arrow').removeClass('toggle');
		$(this).toggleClass('current');
		$('a.two, a.one').removeClass('current');
		return false;
	});
	
	$('.fetp-collapse-wrap').live("click", function() {
		//fetp_setCollapse_cookie('fetpCollapse', 'fetpCollapsed', 3600); /* Hide panel for easier site navigation */
		$('#fetp-bar').toggle();
		$('body').toggleClass('fetp-reset');
		$(this).toggleClass('.fetp-collapse-wrap-open');
		$('.fetp-collapse').toggleClass('collapsed');
		$('span.fetp-collapse-label').toggle();
		
		return false;
	});
	
	setTimeout( function() { 		
		$('#fetp-bar').hide();
		$('body').addClass('fetp-reset');
		$('.fetp-collapse-wrap').removeClass('fetp-collapse-wrap-open');
		$('.fetp-collapse').addClass('collapsed');
		$('span.fetp-collapse-label').hide();
	}, 2000);
	
	/* Hide panel  */
	if ( fetp_is_collapsed() ) {
		$('#fetp-bar').hide();
		$('body').addClass('fetp-reset');
		$('.fetp-collapse-wrap').removeClass('fetp-collapse-wrap-open');
		$('.fetp-collapse').addClass('collapsed');
		$('span.fetp-collapse-label').hide();
	}
	
	/*** Ajax update cart ***/
	
	// Add a theme to cart
	$('#fetp-bar a.add-to-cart').live("click", function() {
		
		var ajaxUrl = $(this).attr('href')+'&fetp-ajax-add-to-cart';
		
		$(this).ajaxStart( function() {
			$('.fetp-loading').toggleClass('fetp-hidden');
		});
		
		$(this).ajaxStop( function() {
			$('.fetp-loading').toggleClass('fetp-hidden');
			$('.tab-one, .tab-two').slideUp();
			$('.tab-three').slideDown();
			$('a.three .fetp-arrow').addClass('toggle');
			$('a.two .fetp-arrow, a.one .fetp-arrow').removeClass('toggle');
			$('a.fetp-title.three').addClass('current');
			$('a.two, a.one').removeClass('current');
		});
		
		$.ajax({
			url: ajaxUrl,
			type: "GET",
			success: function( response ) {
				$('.details-tab.cart').html(response);
			}
		});
		
		return false;
	});
	
	// Remove an item from the cart
	$('#fetp-bar a.fetp-remove').live("click", function() {
		
		var ajaxUrl = $(this).attr('href')+'&fetp-ajax-remove';
		var init_val = $(this);
		
		$(this).ajaxStart( function() {
			$(this).text('Updating cart...');
		});
		
		$(this).ajaxStop( function() {
			$(this).text(init_val);
			$('.tab-one, .tab-two, .tab-three').slideUp();
			$('.tab-three').slideDown();
			$('a.three .fetp-arrow').toggleClass('toggle');
			$('a.two .fetp-arrow, a.one .fetp-arrow').removeClass('toggle');
			$('a.fetp-title.three').toggleClass('current');
			$('a.two, a.one').removeClass('current');
		});
		
		$.ajax({
			url: ajaxUrl,
			type: "GET",
			success: function(response) {
				$('.details-tab.cart').html(response);
			}
		});
		
		return false;
	});
	
	// Clear cart content
	$('#fetp-bar a.fetp-clear-cart').live("click", function() {
		
		var ajaxUrl = $(this).attr('href')+'&fetp-ajax-empty-cart';
		var int_val = $(this);
		
		$(this).ajaxStart( function() {
			$(this).text('Clearing cart...');
		});
		
		$(this).ajaxStop( function() {
			$(this).text(int_val);
		});
		
		$.ajax({
			url: ajaxUrl,
			type: "GET",
			success: function(response) {
				$('.details-tab.cart').html(response);	
			}
		});
		return false;
	});
	
	$('#fetp-bar a.exit-purchase').live("click", function() {
		
		$('#fetpay, .fetpay').fadeOut();
		
		window.location.href = $(this).attr('href');
		
		return false;
	});
	
	$('#fetpay').live("click", function() {
		
		$('#fetpay, .fetpay').fadeOut();
		
		window.location.href = $('a.exit-purchase').attr('href');
	});
	
	$(document).on("keyup", function(e) {
		
		if (e.keyCode == 27 ) {
			$('#fetpay, .fetpay').fadeOut();
		}
		
	});
	
	$('#fetpay, .fetpay').removeClass('fetp-hidden');
});

/* Set sidebar collapse cookie*/
function fetp_setCollapse_cookie( name, value ){
	var date = new Date();
	
	date.setTime(date.getTime()+(60*60) );
	
	var expires = "expiry="+date.toGMTString();
	
	document.cookie = name+"="+value+";"+expires;
}

function fetp_get_collapse_cookie(cookiename) {
	var name = cookiename + "=";
	var ca = document.cookie.split(';');
	
	for(var i=0; i<ca.length; i++) {
		var c = ca[i].trim();
		if (c.indexOf(name)==0)
			return c.substring(name.length,c.length);
	}
	
	return "";
}

/* Check if cookie exists */
function fetp_is_collapsed(){
	var fetpCollapsed = fetp_get_collapse_cookie('fetpCollapse');
	
	if ( fetpCollapsed != "" ) {
		return true;
	}
	
	return false;
}